Contract Types
Alle Operationen rund um Contract Types.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Contract Type | contract_type |
10 | — | contract_type_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/contract_types |
Create contract_type | Create a new contract_type in the active tenant. |
DELETE |
/v1/contract_types/{id} |
Delete contract_type | Soft delete entity. |
GET |
/v1/contract_types/{id} |
Get contract_type by id | Fetch a single contract_type. |
GET |
/v1/contract_types/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/contract_types/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/contract_types/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/contract_types |
List contract_types | List contract_types for the active tenant. |
PATCH |
/v1/contract_types/{id} |
Patch contract_type | JSON Merge Patch update. |
POST |
/v1/contract_types/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/contract_types/{id}/transition |
POST /v1/contract_types/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/contract_types/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/contract_types/{id} |
Replace contract_type | Full replace with optimistic locking. |